org.eclipse.rdf4j.sail.extensiblestore.valuefactory

## Class ExtensibleStatementHelper.DefaultExtensibleStatementHelper

- java.lang.Object
- - org.eclipse.rdf4j.sail.extensiblestore.valuefactory.ExtensibleStatementHelper.DefaultExtensibleStatementHelper

- All Implemented Interfaces:
    ExtensibleStatementHelper
  Enclosing interface:
    ExtensibleStatementHelper

      public static class ExtensibleStatementHelper.DefaultExtensibleStatementHelper
      extends Object
      implements ExtensibleStatementHelper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.sail.extensiblestore.valuefactory.ExtensibleStatementHelper

      `ExtensibleStatementHelper.DefaultExtensibleStatementHelper`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.sail.extensiblestore.valuefactory.ExtensibleStatementHelper

      `defaultExtensibleStatementHelper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultExtensibleStatementHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensibleStatement` | `fromStatement(Statement statement, boolean inferred)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.extensiblestore.valuefactory.ExtensibleStatementHelper

      `getDefaultImpl`

- - ### Constructor Detail

    - #### DefaultExtensibleStatementHelper

          public DefaultExtensibleStatementHelper()

  - ### Method Detail

    - #### fromStatement

          public ExtensibleStatement fromStatement(Statement statement,
                                                   boolean inferred)

      Specified by:
        `fromStatement` in interface `ExtensibleStatementHelper`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.